Skip to main content
POST

Authorizations

X-API-Key
string
header
required

Path Parameters

businessPhoneNumber
string
required

The WhatsApp business phone number in E.164 format.

Example:

"+16315551111"

Body

application/json

Users to block or unblock. Provide at least one non-empty list of phone numbers or WhatsApp Business-scoped user IDs (BSUIDs). You can provide both lists. The combined number of entries in users and userIds must not exceed 100.

users
string[]
required

User phone numbers in E.164 format. These share the 100-entry request limit with userIds.

Required array length: 1 - 100 elements
Example:
userIds
string[]

WhatsApp Business-scoped user IDs (BSUIDs), including parent BSUIDs. Values are trimmed and normalized to uppercase. These share the 100-entry request limit with users.

Maximum array length: 100
Example:

Response

Successfully processed the unblock request. Check the result for each user.

messaging_product
string

Messaging product used for the operation.

Example:

"whatsapp"

block_users
object
errors
object

The original error object returned by WhatsApp. See Handling Errors, Cloud API Error Codes.